path: /build/build/libusb-dev-libs-1-1.0.27+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc udev" emerge dev-libs/libusb:1 -pv -t && \
    USE="-doc udev" emerge -j ${JOBS} --nodeps dev-libs/libusb:1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libusb && luet-portage --dir /pkgdir/libusb
    dev-libs/libusb:1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:9d2057d988aacd097e850d2dea073134a37d9873d81657e3982d582fa01208d1
  package:
    name: libusb
    version: 1.0.27+1
    category: dev-libs-1
    use_flags:
    - -doc
    - udev
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A cross-platform library to access USB devices
    uri:
    - https://libusb.info/ https://github.com/libusb/libusb
    license: LGPL-2.1
    buildtimestamp: 2025-02-02 19:04:16.229021114 +0000 UTC m=+61.221001876
    labels:
      BDEPEND: doc? ( app-doc/doxygen ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: udev? ( >=virtual/libudev-208:=[-mgorny(-)] ) !udev? ( virtual/os-headers
        )
      IUSE: debug doc examples static-libs test udev abi_x86_32 abi_x86_64 abi_x86_x32
        abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64 +split-usr
      RDEPEND: udev? ( >=virtual/libudev-208:=[-mgorny(-)] )
      emerge.packages: dev-libs/libusb:1
      kit: core-kit
      original.package.name: dev-libs/libusb
      original.package.slot: "1"
      original.package.version: 1.0.27
    treedir: /build/packages
  package_dir: /pkgdir/libusb
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f9ba7bafac8f33619eee1f2dc5e00848be168a584f23f261cc2c63240483c227
compressiontype: zstd
files:
- lib64/libusb-1.0.so.0
- lib64/libusb-1.0.so.0.4.0
- usr/include/libusb-1.0/libusb.h
- usr/lib64/libusb-1.0.so
- usr/lib64/pkgconfig/libusb-1.0.pc
- usr/share/doc/libusb-1.0.27/AUTHORS.bz2
- usr/share/doc/libusb-1.0.27/ChangeLog.bz2
- usr/share/doc/libusb-1.0.27/NEWS
- usr/share/doc/libusb-1.0.27/PORTING.bz2
- usr/share/doc/libusb-1.0.27/README.bz2
- usr/share/doc/libusb-1.0.27/TODO
- var/db/pkg/dev-libs/libusb-1.0.27/BDEPEND
- var/db/pkg/dev-libs/libusb-1.0.27/BUILD_TIME
- var/db/pkg/dev-libs/libusb-1.0.27/CATEGORY
- var/db/pkg/dev-libs/libusb-1.0.27/CBUILD
- var/db/pkg/dev-libs/libusb-1.0.27/CFLAGS
- var/db/pkg/dev-libs/libusb-1.0.27/CHOST
- var/db/pkg/dev-libs/libusb-1.0.27/CONTENTS
- var/db/pkg/dev-libs/libusb-1.0.27/COUNTER
- var/db/pkg/dev-libs/libusb-1.0.27/CTARGET
- var/db/pkg/dev-libs/libusb-1.0.27/CXX
- var/db/pkg/dev-libs/libusb-1.0.27/CXXFLAGS
- var/db/pkg/dev-libs/libusb-1.0.27/DEFINED_PHASES
- var/db/pkg/dev-libs/libusb-1.0.27/DEPEND
- var/db/pkg/dev-libs/libusb-1.0.27/DESCRIPTION
- var/db/pkg/dev-libs/libusb-1.0.27/EAPI
- var/db/pkg/dev-libs/libusb-1.0.27/FEATURES
- var/db/pkg/dev-libs/libusb-1.0.27/HOMEPAGE
- var/db/pkg/dev-libs/libusb-1.0.27/INHERITED
- var/db/pkg/dev-libs/libusb-1.0.27/IUSE
- var/db/pkg/dev-libs/libusb-1.0.27/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libusb-1.0.27/KEYWORDS
- var/db/pkg/dev-libs/libusb-1.0.27/LDFLAGS
- var/db/pkg/dev-libs/libusb-1.0.27/LICENSE
- var/db/pkg/dev-libs/libusb-1.0.27/NEEDED
- var/db/pkg/dev-libs/libusb-1.0.27/NEEDED.ELF.2
- var/db/pkg/dev-libs/libusb-1.0.27/PF
- var/db/pkg/dev-libs/libusb-1.0.27/PROVIDES
- var/db/pkg/dev-libs/libusb-1.0.27/RDEPEND
- var/db/pkg/dev-libs/libusb-1.0.27/REQUIRES
- var/db/pkg/dev-libs/libusb-1.0.27/RESTRICT
- var/db/pkg/dev-libs/libusb-1.0.27/SIZE
- var/db/pkg/dev-libs/libusb-1.0.27/SLOT
- var/db/pkg/dev-libs/libusb-1.0.27/USE
- var/db/pkg/dev-libs/libusb-1.0.27/environment.bz2
- var/db/pkg/dev-libs/libusb-1.0.27/libusb-1.0.27.ebuild
- var/db/pkg/dev-libs/libusb-1.0.27/repository
package_cacheimage: ""
runtime:
  name: libusb
  version: 1.0.27+1
  category: dev-libs-1
  use_flags:
  - -doc
  - udev
  requires:
  - name: libudev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A cross-platform library to access USB devices
  uri:
  - https://libusb.info/ https://github.com/libusb/libusb
  license: LGPL-2.1
  labels:
    BDEPEND: doc? ( app-doc/doxygen ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: udev? ( >=virtual/libudev-208:=[-mgorny(-)] ) !udev? ( virtual/os-headers
      )
    IUSE: debug doc examples static-libs test udev abi_x86_32 abi_x86_64 abi_x86_x32
      abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64 +split-usr
    RDEPEND: udev? ( >=virtual/libudev-208:=[-mgorny(-)] )
    emerge.packages: dev-libs/libusb:1
    kit: core-kit
    original.package.name: dev-libs/libusb
    original.package.slot: "1"
    original.package.version: 1.0.27
